Vulnerability CVE-2004-1034


Published: 2005-03-01   Modified: 2012-02-12

Description:
Buffer overflow in the http_open function in Kaffeine before 0.5, whose code is also used in gxine before 0.3.3, allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a long Content-Type header for a Real Audio Media (.ram) playlist file.

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
XINE -> Gxine 
Kaffeine -> Kaffeine player 
Gentoo -> Linux 

 References:
http://www.securityfocus.com/bid/11528
http://xforce.iss.net/xforce/xfdb/17849
http://sourceforge.net/tracker/index.php?func=detail&aid=1060299&group_id=9655&atid=109655
http://security.gentoo.org/glsa/glsa-200411-14.xml
http://secunia.com/advisories/13117/
http://lists.grok.org.uk/pipermail/full-disclosure/2004-October/028061.html

Copyright 2020, cxsecurity.com

 

Back to Top